<template>
  <div id="app">
    <title-bar/>
    <router-view></router-view>
  </div>
</template>

<script>
import TitleBar from '@/components/TitleBar';
import { webFrame } from 'electron';

export default {
  name: 'blockchain-manager',
  components: {
    TitleBar,
  },
  created() {
    // Disable zoom
    webFrame.setVisualZoomLevelLimits(1, 1);
    webFrame.setLayoutZoomLevelLimits(0, 0);
  },
};
</script>

<style>
@import url('https://fonts.googleapis.com/css?family=Muli:400,700,900');

body, html {
  background-color: #08172F;
  margin: 0;
}

html {
  height: 100%;
}

body {
  min-height: 100%;
  overflow: hidden;
}

#app {
  min-height: 100vh;
  font-family: 'Muli', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: white;
}

* {
  -webkit-tap-highlight-color: transparent;
}
</style>
